Bug 105883 - [patch] bsd.port.mk: refine some comments about linux emulation
Summary: [patch] bsd.port.mk: refine some comments about linux emulation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-26 20:10 UTC by Boris Samorodov
Modified: 2007-03-06 07:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2006-11-26 20:10:12 UTC

Fix: The current version of bsd.port.mk needs some refinements:
	- remove the description of emulators/linux_base port (gone to attic);
	- refine notes about changing default linux base port:
	  o  add a note to update src/usr.sbin/sysinstall/config.c and
	     src/release/scripts/package-split.py;
	  o  remove a note to update the Handbook (as it was discussed at
	     emulation@ ML any hard-coded port versions shouldn't be used.
	     An update to the Handbook is pending).

	Those changes were inspiritted by kensmith's sharp eye (commits to
	src) and netchild's wise mind (initial proposal and further comments
	on the patch).



WBR
-- 
bsam--D8B66cYlG8vZxXsGcCd4SrpyNiekrSmy0b7ct6GE4sWSqi6j
Content-Type: text/plain; name="Mk.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="Mk.diff"

Index: bsd.port.mk
===================================================================
RCS file: /home/pcvs/ports/Mk/bsd.port.mk,v
retrieving revision 1.544
diff -u -r1.544 bsd.port.mk
--- bsd.port.mk	30 Sep 2006 19:25:45 -0000	1.544
+++ bsd.port.mk	26 Nov 2006 19:13:20 -0000
@@ -445,8 +445,8 @@
 #				  Implies inclusion of bsd.kde.mk.
 ##
 # USE_LINUX		- Set to yes to say the port needs the default linux base port.
-#				  Set to value <X>, if the port needs emulators/linux_base-<X>.
-#				  If set to "7", a dependency is registered to emulators/linux_base.
+#				  Set to value <X>, if the port needs the specific
+#				  emulators/linux_base-<X> port.
 #				  Implies appropriate settings for NO_FILTER_SHLIBS,
 #				  STRIP and STRIP_CMD.
 # USE_LINUX_PREFIX
@@ -1812,7 +1812,9 @@
 .	endif
 
 # NOTE: when you update the default linux_base version (case "yes"),
-# don't forget to update the Handbook!
+# don't forget to update:
+#  - src/usr.sbin/sysinstall/config.c
+#  - src/release/scripts/package-split.py
 
 .	if exists(${PORTSDIR}/emulators/linux_base-${USE_LINUX})
 LINUX_BASE_PORT=	${LINUXBASE}/bin/sh:${PORTSDIR}/emulators/linux_base-${USE_LINUX}
Comment 1 Edwin Groothuis freebsd_committer 2006-11-26 20:31:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is port manager territory
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-02-25 06:56:36 UTC
State Changed
From-To: open->analyzed

Accepted for a test build on the cluster.
Comment 3 dfilter service freebsd_committer 2007-03-06 06:21:52 UTC
linimon     2007-03-06 06:21:46 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.java.mk bsd.port.mk bsd.php.mk 
    .                    CHANGES UPDATING 
  Log:
  * Refine some comments about Linux emulation [1]
  
  * Fix 'make search' with non-default ${PORTSDIR} [2]
  
  * Fix typo in USE_LDCONFIG32 message [3]
  
  * Allow USE_PHP after inclusion of bsd.port.pre.mk [4]
  
  * Document NO_LDCONFIG_MTREE [5]
  
  * Update/enhance description of INSTALLS_SHLIB and USE_LDCONFIG [6]
  
  * Remove obsolete code in bsd.port.mk dealing with 4.X and other,
    even older, releases [7]
  
  * Remove references to obsolete ports from bsd.java.mk [8]
  
  PR:     105883 [1], 105917 [2], 106195 [3], 106557 [4], 108738 [5],
          108739 [6], 108782 [7], 103357 [8]
  
  Submitted by:   bsam [1], shaun [2], edwin [3], ale [4], gerald [5] [6],
                  linimon [7], kris [7], gabor [4]
  
  Revision  Changes    Path
  1.66      +12 -1     ports/CHANGES
  1.76      +4 -11     ports/Mk/bsd.java.mk
  1.40      +8 -2      ports/Mk/bsd.php.mk
  1.555     +8 -116    ports/Mk/bsd.port.mk
  1.475     +8 -1      ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2007-03-06 07:30:25 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.